Subject: Another b18 bash script problem
From: [email-masked] (Jeff Bergan)

19 Sep 1998 06:49:28 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "Gnu-Win32 Mailing List (E-mail)" <[email-masked]>

Hi,

Ok, so I wrote a test script in bash to get around the substitution problem
I mentioned before.  It is:
----------------------------------------------------------
var1=somename
var2=num
echo "myvar1=${var1} myvar2=${var2} "
var3=`echo blobname | perl -pe 's/ /,/g'`
echo
echo "var1 is ${var1}"
echo "var2 is ${var2}"
echo "myvar1=${var3}" " myvar2=${var2} "

exit

And its output is:
myvar1=somename myvar2=num

var1 is somename
var2 is num
  myvar2=num me
----------------------------------------------------------

Anybody know why it does this?  Is this another thing that might be fixed in
b18?
I'm running out of ideas to get around it... Any hints?  Thanks!

Jeff

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".